module Dicks

    require 'net/http'
    require 'json'

    class API
        def self.get_dicks(count = 1, size = nil)
            uri = URI.parse("https://dicks-api.herokuapp.com/dicks/#{count}")
            
            args = {}
            if size != nil
                args[:size] = size
            end

            uri.query = URI.encode_www_form(args)
            http = Net::HTTP.new(uri.host, uri.port)
            http.use_ssl = true

            request = Net::HTTP::Get.new(uri.request_uri)

            response = http.request(request)
            responseHash = JSON.parse(response.body)
            responseHash['dicks'] || responseHash
        end
    end

end